IF EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'SetWebClientPageState') AND XType = 'P')
BEGIN
	PRINT 'Dropping Procedure SetWebClientPageState'

	DROP PROCEDURE SetWebClientPageState
END
GO

PRINT 'Creating Procedure SetWebClientPageState'
GO

CREATE PROCEDURE SetWebClientPageState
	@StateKey UNIQUEIDENTIFIER,
	@State TEXT
AS

IF EXISTS (SELECT 1 FROM WebClientPageState WHERE StateKey = @StateKey)
	BEGIN
		UPDATE	WebClientPageState
		SET		State = @State,
				DateSaved = GETDATE()
		WHERE	StateKey = @StateKey
	END
	ELSE
	BEGIN
		INSERT INTO WebClientPageState 
		(
			StateKey, 
			State, 
			DateSaved
		)
		VALUES 
		(
			@StateKey, 
			@State, 
			GETDATE()
		)
	END

GO
