using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Drawing;
using System.Web.UI;
using System.Web.UI.Design;
using System.Web.UI.Design.WebControls;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace RussellMason.Web.UI.Office2007.Design
{

	/// <summary>
	/// Basic designer for a Ribbon Resizing Manager.
	/// </summary>
	public class RibbonResizingManagerDesigner : ControlDesigner
	{

		#region Fields

		private RibbonResizingManager _control; 

		#endregion Fields

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the RibbonResizingManagerDesigner class.
		/// </summary>
		public RibbonResizingManagerDesigner()
		{
		}

		#endregion Constructors

		#region Properties

		/// <summary>
		/// Gets whether the control can be sized at design-time.
		/// </summary>
		public override bool AllowResize
		{
			get
			{
				return false;
			}
		}

		#endregion Properties

		#region Methods

		/// <summary>
		/// Initializes the control.
		/// </summary>
		/// <param name="component">
		/// The component to initialize.
		/// </param>
		public override void Initialize(IComponent component)
		{
			base.Initialize(component);

			_control = (RibbonResizingManager) component;
		} 

		/// <summary>
		/// Generates design time HTML.
		/// </summary>
		/// <param name="regions">
		/// Template regions.
		/// </param>
		/// <returns>
		/// The design time HTML.
		/// </returns>
		public override String GetDesignTimeHtml(DesignerRegionCollection regions)
		{
			_control.FinalizeRender();

			string html = "<div class='ribbonResizingManager'><span>RibbonResizingManager</span></div>";

			return html;
		}

		#endregion Methods

	}

}
