using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerProgrammatic : RibbonPage
{

	protected override void ConfigureRibbonControls()
	{
		base.ConfigureRibbonControls();

		// QuickAccessButtons

		QuickAccessRibbonButton quickAccessRibbonButton1 =
			new QuickAccessRibbonButton("quickAccessRibbonButton1", "~/Images/16x16/Document.gif", "~/Images/16x16/DocumentDisabled.gif");

		quickAccessRibbonButton1.ToolTip = "This button was created with a client-side click event.";
		quickAccessRibbonButton1.OnClientClick = "alert('Programmatic Quick Acess Button 1 Clicked');";

		QuickAccessRibbonButton quickAccessRibbonButton2 =
			new QuickAccessRibbonButton("quickAccessRibbonButton2", "~/Images/16x16/Document.gif", "~/Images/16x16/DocumentDisabled.gif");

		quickAccessRibbonButton2.ToolTip = "This button was created with a server-side click event.";
		quickAccessRibbonButton2.AutoPostBack = true;
		quickAccessRibbonButton2.Click += new EventHandler(quickAccessRibbonButton2_Click);

		MainApplicationBar.PlaceHolderControls.Add(quickAccessRibbonButton1);
		MainApplicationBar.PlaceHolderControls.Add(quickAccessRibbonButton2);

		// RibbonGroup for small buttons

		RibbonGroup group1 = new RibbonGroup("ribbonGroup1", "Programmatic Group 1");
		PageView1.Controls.Add(group1);

		// Layout for small buttons

		ThreeRowLayout layout = new ThreeRowLayout();
		group1.PlaceHolderControls.Add(layout);

		// SmallRibbonButton

		SmallRibbonButton smallRibbonButton1 =
			new SmallRibbonButton("smallRibbonButton1", "Small Programmatic 1", "~/Images/16x16/Document.gif", "~/Images/16x16/DocumentDisabled.gif");

		smallRibbonButton1.ToolTip = "This button was created with a client-side click event. The width is auto sized.";
		smallRibbonButton1.AutoSizeWidth();
		smallRibbonButton1.OnClientClick = "alert('Programmatic Small Ribbon Button 1 Clicked');";

		SmallRibbonButton smallRibbonButton2 =
			new SmallRibbonButton("smallRibbonButton2", "Small Programmatic 2", "~/Images/16x16/Document.gif", "~/Images/16x16/DocumentDisabled.gif");

		smallRibbonButton2.ToolTip = "This button was created with a server-side click event. The width is specified.";
		smallRibbonButton2.Width = new Unit(160);
		smallRibbonButton2.AutoPostBack = true;
		smallRibbonButton2.Click += new EventHandler(smallRibbonButton2_Click);

		SmallRibbonButton smallRibbonButton3 =
			new SmallRibbonButton("smallRibbonButton3", "Small Programmatic 3", "~/Images/16x16/Document.gif", "~/Images/16x16/DocumentDisabled.gif");

		smallRibbonButton3.ToolTip = "This button was created with a drop down invoked by a client-side event.";
		smallRibbonButton3.Width = new Unit(150);
		smallRibbonButton3.ClientMemberName = "_smallRibbonButton3";
		smallRibbonButton3.DropDownMenuID = "DropDownMenu";
		smallRibbonButton3.OnClientClick = smallRibbonButton3.ClientMemberName + ".showDropDownMenu(event);";

		layout.TopPlaceHolderControls.Add(smallRibbonButton1);
		layout.CenterPlaceHolderControls.Add(smallRibbonButton2);
		layout.BottomPlaceHolderControls.Add(smallRibbonButton3);

		RibbonGroup group2 = new RibbonGroup("ribbonGroup2", "Programmatic Group 2");
		PageView1.Controls.Add(group2);

		LargeRibbonButton largeRibbonButton1 =
			new LargeRibbonButton("largeRibbonButton1", "Large Programatic 1", "~/Images/32x32/Document.gif", "~/Images/32x32/DocumentDisabled.gif");

		largeRibbonButton1.ToolTip = "This button was created with a client-side click event. The width is auto sized to 2 lines.";
		largeRibbonButton1.AutoSizeWidth(true);
		largeRibbonButton1.OnClientClick = "alert('Programmatic Large Ribbon Button 1 Clicked');";

		LargeRibbonButton largeRibbonButton2 =
			new LargeRibbonButton("largeRibbonButton2", "Large Programatic 2", "~/Images/32x32/Document.gif", "~/Images/32x32/DocumentDisabled.gif");

		largeRibbonButton2.ToolTip = "This button was created with a server-side click event. The width is auto sized to a single lines.";
		largeRibbonButton2.AutoSizeWidth(false);
		largeRibbonButton2.AutoPostBack = true;
		largeRibbonButton2.Click += new EventHandler(largeRibbonButton2_Click);

		LargeRibbonButton largeRibbonButton3 =
			new LargeRibbonButton("largeRibbonButton3", "Large Programmatic 3", "~/Images/32x32/Document.gif", "~/Images/32x32/DocumentDisabled.gif");

		largeRibbonButton3.ToolTip = "This button was created with a client-side click event. The width is specified.";
		largeRibbonButton3.Width= new Unit(90);
		largeRibbonButton3.OnClientClick = "alert('Programmatic Large Ribbon Button 3 Clicked');";

		LargeRibbonButton largeRibbonButton4 =
			new LargeRibbonButton("largeRibbonButton4", "Large Programmatic 4 With Drop Down Menu", "~/Images/32x32/Document.gif", "~/Images/32x32/DocumentDisabled.gif");

		largeRibbonButton4.ToolTip = "This button was created with a drop down invoked by a client-side event.";
		largeRibbonButton4.Width = new Unit(140);
		largeRibbonButton4.DropDownMenuID = "DropDownMenu";
		largeRibbonButton4.DropDownMenuAlignment = DropDownMenuAlignment.Right;
		largeRibbonButton4.ClientMemberName = "_largeRibbonButton4";
		largeRibbonButton4.OnClientClick = largeRibbonButton4.ClientMemberName + ".showDropDownMenu(event);";

		group2.PlaceHolderControls.Add(largeRibbonButton1);
		group2.PlaceHolderControls.Add(largeRibbonButton2);
		group2.PlaceHolderControls.Add(largeRibbonButton3);
		group2.PlaceHolderControls.Add(largeRibbonButton4);
	}
	
	void quickAccessRibbonButton2_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Programmatic Quick Access Ribbon Button 2 Clicked" + Environment.NewLine;
	}

	void smallRibbonButton2_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Programmatic Small Ribbon Button 2 Clicked" + Environment.NewLine;
	}

	void largeRibbonButton2_Click(object sender, EventArgs e)
	{
		this.EventText.Text += "Programmatic Large Ribbon Button 2 Clicked" + Environment.NewLine;
	}

}
